Description

Some verses in Ecclesiasticus, such as in chatper 1, have verses with periods ("1.33"). Theses cannot be referenced without error.

Associated revisions

Revision 391 - 03/08/2013 06:23 PM - Luke Murphey

Improved the verse parsing when performing a verse jump. Reference #550

Revision 391 - 03/08/2013 06:23 PM - Luke Murphey

Improved the verse parsing when performing a verse jump. Reference #550

Revision 381 - 03/08/2013 06:23 PM - Luke Murphey

Improved the verse parsing when performing a verse jump. Reference #550

History

#1 - 03/07/2013 07:35 AM - Luke Murphey

Note that the reference in the URL works. The reference jump fails and selecting the verse causes a new request to be made to the server.

#2 - 03/08/2013 03:52 AM - Luke Murphey

- Status changed from New to In Progress

#3 - 03/08/2013 04:57 AM - Luke Murphey

- % Done changed from 0 to 50

I fixed the problem where it the reference was not being selected properly when a user clicks it.

#4 - 03/08/2013 05:05 AM - Luke Murphey

Providing all of the verse IDs to a list allows the verse jumps to works provided you don't leave the chapter. The only way to get this to work is to

provide all odd verse IDs to the front-end code. This would need to need to mapped to chapters too. Ugh.

#5 - 03/08/2013 06:35 PM - Luke Murphey

Here are some options to address this:

1. Change URL design to take entire reference as a string

2. Add REST endpoint which takes a reference string and returns a path

3. Add Javascript that splits up the reference and performs a REST call to get the list of verse IDs with spaces or dots in them within the given

chapter

4. Add Javascript that performs a REST call to get the list of division and verse IDs with spaces or dots in them
#6 - 03/08/2013 07:43 PM - Luke Murphey

Option 4 will not be able to distinguish between verse IDs with dots in them and separate verses. That is, it couldn't tell you if "Ecclesiasticus 1:1.2"

should be Ecclesiasticus/1/1/2 or Ecclesiasticus/1/1.2.

#7 - 03/08/2013 10:34 PM - Luke Murphey

- Target version changed from 0.6 to 1.0

#8 - 08/11/2013 05:05 AM - Luke Murphey

Solution two (REST API that provides a reference) is likely the best approach. I just need to define the algorithm though.

#9 - 08/11/2013 05:15 AM - Luke Murphey

- % Done changed from 50 to 70

The REST API will need to be able to infer books names that are part of the URL that contain spaces in them.

#10 - 08/11/2013 06:10 AM - Luke Murphey

This is working now. I just need to:

Generalize the code for attempting a parse of a reference in order to break out the functions and clean up the code

Update the JS to use the online version of the reference check and remove the local version

Might want to have the AJAX update done locally with no re-post of the main page; this would avoid one HTTP request.

#11 - 08/12/2013 05:47 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 70 to 100
